Last Comment Bug 762024 - Intermittent crash during test_overlapping_lockedfiles.html | Exited with code -1073741819 during test run [@ nsRunnableMethodImpl<unsigned int ( nsIThread::*)(void),1>::~nsRunnableMethodImpl<unsigned int ( nsIThread::*)(void),1>()@0xd]
: Intermittent crash during test_overlapping_lockedfiles.html | Exited with cod...
Status: RESOLVED FIXED
: crash, intermittent-failure
Product: Core
Classification: Components
Component: DOM: IndexedDB (show other bugs)
: Trunk
: x86 Windows XP
: -- critical (vote)
: mozilla16
Assigned To: Nobody; OK to take it and work on it
:
: Hsin-Yi Tsai [:hsinyi]
Mentors:
Depends on: 763013
Blocks: 438871 726593
  Show dependency treegraph
 
Reported: 2012-06-06 06:37 PDT by Ed Morley [:emorley]
Modified: 2012-11-25 19:31 PST (History)
3 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Ed Morley [:emorley] 2012-06-06 06:37:03 PDT
Rev3 WINNT 5.1 mozilla-inbound debug test mochitests-2/5 on 2012-06-05 09:09:32 PDT for push e7334bfb16b1

slave: talos-r3-xp-039

https://tbpl.mozilla.org/php/getParsedLog.php?id=12385127&tree=Mozilla-Inbound

{
...
780 INFO TEST-PASS | /tests/dom/file/test/test_overlapping_lockedfiles.html | This callback came first - 1 should equal 1
781 INFO TEST-PASS | /tests/dom/file/test/test_overlapping_lockedfiles.html | This callback came second - 2 should equal 2
782 INFO TEST-PASS | /tests/dom/file/test/test_overlapping_lockedfiles.html | This callback came third - 3 should equal 3
783 INFO TEST-PASS | /tests/dom/file/test/test_overlapping_lockedfiles.html | All callbacks received - 4 should equal 4
784 INFO TEST-PASS | /tests/dom/file/test/test_overlapping_lockedfiles.html | This callback came first - 1 should equal 1
785 INFO TEST-PASS | /tests/dom/file/test/test_overlapping_lockedfiles.html | This callback came second - 2 should equal 2
786 INFO TEST-PASS | /tests/dom/file/test/test_overlapping_lockedfiles.html | This callback came third - 3 should equal 3
787 INFO TEST-PASS | /tests/dom/file/test/test_overlapping_lockedfiles.html | All callbacks received - 4 should equal 4
788 INFO TEST-PASS | /tests/dom/file/test/test_overlapping_lockedfiles.html | This callback came first - 1 should equal 1
789 INFO TEST-PASS | /tests/dom/file/test/test_overlapping_lockedfiles.html | This callback came second - 2 should equal 2
790 INFO TEST-PASS | /tests/dom/file/test/test_overlapping_lockedfiles.html | This callback came third - 3 should equal 3
791 INFO TEST-PASS | /tests/dom/file/test/test_overlapping_lockedfiles.html | All callbacks received - 4 should equal 4
792 INFO TEST-PASS | /tests/dom/file/test/test_overlapping_lockedfiles.html | This callback came first - 1 should equal 1
nsStringStats
 => mAllocCount:         492525
 => mReallocCount:        26692
 => mFreeCount:          435182  --  LEAKED 57343 !!!
 => mShareCount:         872305
 => mAdoptCount:          50050
 => mAdoptFreeCount:      50047  --  LEAKED 3 !!!
TEST-UNEXPECTED-FAIL | /tests/dom/file/test/test_overlapping_lockedfiles.html | Exited with code -1073741819 during test run
INFO | automation.py | Application ran for: 0:04:36.078000
INFO | automation.py | Reading PID log: c:\docume~1\cltbld\locals~1\temp\tmpn3wfnmpidlog
Downloading symbols from: http://ftp.mozilla.org/pub/mozilla.org/firefox/tinderbox-builds/mozilla-inbound-win32-debug/1338910218/firefox-16.0a1.en-US.win32.crashreporter-symbols.zip
PROCESS-CRASH | /tests/dom/file/test/test_overlapping_lockedfiles.html | application crashed (minidump found)
Crash dump filename: c:\docume~1\cltbld\locals~1\temp\tmpu_ixit\minidumps\a0c4e0f2-0ca5-4b73-ac77-199b6488155b.dmp
Operating system: Windows NT
                  5.1.2600 Service Pack 2
CPU: x86
     GenuineIntel family 6 model 23 stepping 10
     2 CPUs

Crash reason:  EXCEPTION_ACCESS_VIOLATION_READ
Crash address: 0xffffffffa002ab14

Thread 0 (crashed)
 0  xul.dll!nsRunnableMethodImpl<unsigned int ( nsIThread::*)(void),1>::~nsRunnableMethodImpl<unsigned int ( nsIThread::*)(void),1>() + 0xd
    eip = 0x02466ecb   esp = 0x0012d89c   ebp = 0x0012d8ac   ebx = 0x0b4d2dc0
    esi = 0x0b4d2dc0   edi = 0x00000000   eax = 0x110e67c9   ecx = 0xa002ab0c
    edx = 0x02ab100c   efl = 0x00010206
    Found by: given as instruction pointer in context
 1  xul.dll!nsRunnableMethodImpl<unsigned int ( nsIThread::*)(void),1>::`vector deleting destructor'(unsigned int) + 0xa
    eip = 0x02466fbf   esp = 0x0012d8a8   ebp = 0x0012d8ac
    Found by: stack scanning
 2  xul.dll!nsRunnable::Release() [nsThreadUtils.cpp:e7334bfb16b1 : 23 + 0x55]
    eip = 0x02416ff9   esp = 0x0012d8b4   ebp = 0x0012d8c4
    Found by: call frame info
 3  xul.dll!NS_AsyncCopy(nsIInputStream *,nsIOutputStream *,nsIEventTarget *,nsAsyncCopyMode,unsigned int,void (*)(void *,unsigned int),void *,bool,bool,nsISupports * *) [nsStreamUtils.cpp:e7334bfb16b1 : 589 + 0x5]
    eip = 0x0244ad94   esp = 0x0012d8cc   ebp = 0x0012d8d8
    Found by: call frame info
 4  xul.dll!nsAsyncStreamCopier::AsyncCopy(nsIRequestObserver *,nsISupports *) [nsAsyncStreamCopier.cpp:e7334bfb16b1 : 249 + 0x32]
    eip = 0x013b01eb   esp = 0x0012d8e0   ebp = 0x0012d914
    Found by: call frame info
 5  xul.dll!`anonymous namespace'::WriteHelper::DoAsyncRun(nsISupports *) [LockedFile.cpp:e7334bfb16b1 : 1055 + 0xf]
    eip = 0x01b06b5d   esp = 0x0012d91c   ebp = 0x0012d944
    Found by: call frame info
 6  xul.dll!mozilla::dom::file::FileHelper::AsyncRun(mozilla::dom::file::FileHelperListener *) [FileHelper.cpp:e7334bfb16b1 : 84 + 0x9]
    eip = 0x01afdca6   esp = 0x0012d94c   ebp = 0x0012d960
    Found by: call frame info
 7  xul.dll!mozilla::dom::file::FileService::LockedFileQueue::ProcessQueue() [FileService.cpp:e7334bfb16b1 : 406 + 0xf]
    eip = 0x01b0045f   esp = 0x0012d968   ebp = 0x0012d980
    Found by: call frame info
 8  xul.dll!mozilla::dom::file::FileService::LockedFileQueue::Enqueue(mozilla::dom::file::FileHelper *) [FileService.cpp:e7334bfb16b1 : 370 + 0x6]
    eip = 0x01b0064e   esp = 0x0012d97c   ebp = 0x0012d980
    Found by: stack scanning
 9  xul.dll!mozilla::dom::file::FileService::Enqueue(mozilla::dom::file::LockedFile *,mozilla::dom::file::FileHelper *) [FileService.cpp:e7334bfb16b1 : 184 + 0x9]
    eip = 0x01b00e6f   esp = 0x0012d988   ebp = 0x0012d9a8
    Found by: call frame info
10  xul.dll!mozilla::dom::file::FileService::FileStorageInfo::RemoveLockedFileQueue(mozilla::dom::file::LockedFile *) [FileService.cpp:e7334bfb16b1 : 481 + 0x11]
    eip = 0x01b010e2   esp = 0x0012d9b0   ebp = 0x0012d9d4
    Found by: call frame info
}
Comment 1 Jan Varga [:janv] 2012-06-08 12:14:18 PDT
it's a race condition (a bug in netwerk/base/src/nsAsyncStreamCopier.cp), working on a fix
Comment 2 Jan Varga [:janv] 2012-06-09 22:06:37 PDT
fixed by bug 763013
Comment 3 Treeherder Robot 2012-06-13 14:29:29 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12635449&tree=Mozilla-Aurora
Rev3 WINNT 5.1 mozilla-aurora debug test mochitests-2/5 on 2012-06-13 14:14:52
slave: talos-r3-xp-041

TEST-UNEXPECTED-FAIL | /tests/dom/file/test/test_overlapping_lockedfiles.html | Exited with code -1073741819 during test run
PROCESS-CRASH | /tests/dom/file/test/test_overlapping_lockedfiles.html | application crashed (minidump found)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!

Note You need to log in before you can comment on or make changes to this bug.